Page Summary
-
This method lists location lists based on a given advertiser ID.
-
The HTTP request uses a GET method with a specific URL structure including the advertiser ID.
-
Path parameters require the
advertiserIdto fetch location lists belonging to a specific DV360 advertiser. -
Query parameters allow for pagination (
pageSize,pageToken), ordering (orderBy), and filtering (filter) of the results. -
The request body must be empty.
-
The response body contains a list of location lists and a token for retrieving the next page of results.
-
The method requires the
https://www.googleapis.com/auth/display-videoOAuth scope for authorization.
Lists location lists based on a given advertiser id.
HTTP request
GET https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/locationLists
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
Required. The ID of the DV360 advertiser to which the fetched location lists belong. |
Query parameters
| Parameters | |
|---|---|
pageSize |
Requested page size. Must be between |
pageToken |
A token identifying a page of results the server should return. Typically, this is the value of |
orderBy |
Field by which to sort the list. Acceptable values are:
The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. Example: |
filter |
Allows filtering by location list fields. Supported syntax:
Examples:
|
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"locationLists": [
{
object ( |
| Fields | |
|---|---|
locationLists[] |
The list of location lists. This list will be absent if empty. |
nextPageToken |
A token to retrieve the next page of results. Pass this value in the |
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.